#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include "saeP1.h"

void SearchCityWithIUT(VilleIUT* lvIUT[], int tlogi)
{
    for (int i=0;i<tlogi;++i) printf("%s",lvIUT[i]->Ville);
}

void DepEachIUT(VilleIUT* lvIUT[], int tlogi)
{
    for (int i=0;i<tlogi;++i)
    {
        MaillonDep* MaillonAct=lvIUT[i]->ldept;
        while (MaillonAct!=NULL) printf("%s",MaillonAct->departement);
    }
}

void SearchPlaceFromDepInIUT(VilleIUT* lvIUT[],int tlogi)
{
    char sVille[31];
    char sDep[31];
    int boolF=0, i;
    printf("Entrez le nom de la ville contenant le département recherché :\n");
    scanf("%s",sVille);
    printf("Département y étant disponible :\n");
    for (i=0;i<tlogi;++i)
    {
        if (lvIUT[i]->Ville==sVille)
        {
            MaillonDep* MaillonAct=lvIUT[i]->ldept;
            while (MaillonAct!=NULL) printf("%s",MaillonAct->departement);
            boolF=1;
            MaillonAct=MaillonAct->suivant;
            break;
        }
    }
    if (!boolF)
    {
        printf("La ville n'est pas dans la liste.\nMerci de vérifier l'orthographe.\n");
        return;
    }
    printf("Entrez le nom du département dont vous souhaitez connaitre le nombre de place\n");
    scanf("%s",sDep);
    MaillonDep* MaillonAct=lvIUT[i]->ldept;
    while (MaillonAct!=NULL) 
    {
        
        if(MaillonAct->departement==sDep)
        {
            printf("Nombre de place : %d\n",MaillonAct->nbp);
            return;
        }
        MaillonAct=MaillonAct->suivant;
    }
    printf("Le département n'est pas dans la liste.\nMerci de vérifier l'orthographe.\n");
}

void SearchIUTFromDep(VilleIUT* lvIUT[],int tlogi)
{
    char sDep[31];
    printf("Merci de renseignez le département dont vous cherchez les IUTs :\n");
    scanf("%s",sDep);
    
    for (int i=0;i<tlogi;++i)
    {
        MaillonDep* MaillonAct=lvIUT[i]->ldept;
        if(MaillonAct->departement==sDep) printf("%s",lvIUT[i]->Ville);
    }
}
void menuAdmin(void){
    printf("#--------------------------------------------------------------------#\n");
    printf("|                                                                    |\n");
    printf("|                             SAE S1.02                              |\n");
    printf("|                                                                    |\n");
    printf("#--------------------------------------------------------------------#\n\n");
    printf("Codes correspondant aux différentes actions :\n\n");
    printf("1 : Modifier le nombre de places dans un département.\n");
    printf("2 : Créer un département dans un IUT.\n");
    printf("3 : Supprimer un département d’un IUT.\n");
    printf("4 : Lancer et arrêter la phase de candidature.\n");
    printf("5 : Modifier le nom d'un responsable de département.\n");
    printf("9 : Revenir à l'écran de sélection du profil.\n\n");
    printf("#--------------------------------------------------------------------#\n\n");
    printf("Choisissez l'action que vous voulez exécuter : ");
}
